Page MenuHomePhabricator

Delete or fix failed GettingStarted browsertests Jenkins job
Closed, ResolvedPublic

Description

Failed job:

https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-GettingStarted-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/

Do you need help fixing the failing job? If nobody cares, I will delete failing job in a week.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 11:30 AM

The job was not fully complete, it indeed depended on passing MEDIAWIKI_CAPTCHA_BYPASS_PASSWORD which is being done with T91220.

zeljkofilipin added a comment.EditedNov 5 2015, 10:38 AM

The job is broken, it fails with

expected visible? to return true, got false (RSpec::Expectations::ExpectationNotMetError)

https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-GettingStarted-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/648/console

It periodically breaks because of some infrastructure issue on Beta T100515: GettingStarted on Beta Cluster periodically loses its Redis index.

I ran the hack to fix it.

@Mattflaschen what is the hack you need to run to fix the problem? The job is failing again with expected ​visible? ​to ​return ​true, ​got ​false ​(RSpec::Expectations::Expectat​ionNotMetError) . :|

https://integration.wikimedia.org/ci/view/BrowserTests/view/GettingStarted/job/browsertests-GettingStarted-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/

Mattflaschen-WMF added a comment.EditedFeb 27 2016, 2:39 AM

On deployment-tin.eqiad.wmflabs:

foreachwikiindblist gettingstarted-with-category-suggestions.dblist extensions/GettingStarted/maintenance/populate_categories.php

Done (that script was meant as a one-time-per-wiki thing, but it also works as a hack to fix this problem). :/

zeljkofilipin closed this task as Resolved.Mar 2 2016, 10:02 AM